%define majver %(echo %version | cut -d. -f1-2)
Name:          libcryptsetup
Epoch:         1
Version:       2.3.3
Release:       1mamba
Summary:       A library for setting up encrypted filesystems
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://code.google.com/p/cryptsetup/
Source:        https://www.kernel.org/pub/linux/utils/cryptsetup/v%{majver}/cryptsetup-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdevmapper-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libpopt-devel
BuildRequires: libuuid-devel
## AUTOBUILDREQ-END
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
Provides:      %{name}-luks
Obsoletes:     %{name}-luks
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package contains the cryptsetup shared library.

%package devel
Group:         Development/Libraries
Summary:       Libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libdevmapper-devel
Requires:      libgcrypt-devel
Requires:      libuuid-devel
Provides:      %{name}-luks-devel
Obsoletes:     %{name}-luks-devel

%description devel
This package contain libraries and header files used for writing code that makes use of encrypted filesystems.

%package -n cryptsetup
Group:        System/Tools
Summary:      A utility for setting up encrypted filesystems
Requires:     %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n cryptsetup
This package contains cryptsetup, a utility for setting up encrypted filesystems using Device Mapper and the dm-crypt target.

%prep
%setup -q -n cryptsetup-%{version}

iconv -f latin1 -t utf8 ChangeLog > ChangeLog.new
mv -f ChangeLog.new ChangeLog

%build
%configure \
  --sbindir=/sbin \
  --libdir=/%{_lib}

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -rf %{buildroot}/%{_lib}/*.la %{buildroot}/%{_lib}/cryptsetup

pushd %{buildroot}/%{_lib}
  rm libcryptsetup.so
  mkdir -p %{buildroot}%{_libdir}
  find libcryptsetup.so.*\.*\.* -exec ln -s /%{_lib}/{} %{buildroot}%{_libdir}/libcryptsetup.so \;
  mv %{buildroot}/%{_lib}/pkgconfig %{buildroot}%{_libdir}
popd 

%find_lang cryptsetup

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/%{_lib}/libcryptsetup.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libcryptsetup.h
%{_libdir}/libcryptsetup.so
%{_libdir}/pkgconfig/libcryptsetup.pc
%doc ChangeLog FAQ TODO

%files -n cryptsetup -f cryptsetup.lang
%defattr(-,root,root)
/sbin/cryptsetup
/sbin/veritysetup
/sbin/cryptsetup-reencrypt
/sbin/integritysetup
%{_prefix}/lib/tmpfiles.d/cryptsetup.conf
%{_mandir}/man8/cryptsetup.8*
%{_mandir}/man8/cryptsetup-reencrypt.8*
%{_mandir}/man8/veritysetup.8*
%{_mandir}/man8/integritysetup.8*

%changelog
* Sat May 30 2020 Automatic Build System <autodist@mambasoft.it> 2.3.3-1mamba
- automatic version update by autodist

* Fri May 01 2020 Automatic Build System <autodist@mambasoft.it> 2.3.2-1mamba
- automatic version update by autodist

* Fri Mar 13 2020 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Mon Feb 03 2020 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Sun Nov 03 2019 Automatic Build System <autodist@mambasoft.it> 2.2.2-1mamba
- automatic version update by autodist

* Tue Sep 10 2019 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Tue Aug 20 2019 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Tue Apr 02 2019 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Wed Feb 13 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.6-2mamba
- bump epoch to fix serious boot problem with 2.1.0 and systemd 240

* Thu Dec 06 2018 Automatic Build System <autodist@mambasoft.it> 2.0.6-1mamba
- automatic version update by autodist

* Tue Oct 30 2018 Automatic Build System <autodist@mambasoft.it> 2.0.5-1mamba
- automatic version update by autodist

* Mon Aug 06 2018 Automatic Build System <autodist@mambasoft.it> 2.0.4-1mamba
- automatic version update by autodist

* Mon May 07 2018 Automatic Build System <autodist@mambasoft.it> 2.0.3-1mamba
- automatic version update by autodist

* Tue Mar 13 2018 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Tue Jan 23 2018 Automatic Build System <autodist@mambasoft.it> 2.0.1-1mamba
- automatic version update by autodist

* Mon Jan 08 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-2mamba
- fix libcryptsetup.so symlink

* Sat Jan 06 2018 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Sat Jun 17 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.7.5-1mamba
- update to 1.7.5

* Sun Nov 06 2016 Automatic Build System <autodist@mambasoft.it> 1.7.3-1mamba
- automatic version update by autodist

* Wed Jun 22 2016 Automatic Build System <autodist@mambasoft.it> 1.7.2-1mamba
- automatic version update by autodist

* Mon Mar 07 2016 Automatic Build System <autodist@mambasoft.it> 1.7.1-1mamba
- automatic version update by autodist

* Wed Nov 11 2015 Automatic Build System <autodist@mambasoft.it> 1.7.0-1mamba
- automatic version update by autodist

* Sun Oct 25 2015 Automatic Build System <autodist@mambasoft.it> 1.6.8-1mamba
- automatic version update by autodist

* Mon Apr 06 2015 Automatic Build System <autodist@mambasoft.it> 1.6.7-1mamba
- automatic update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 1.6.6-1mamba
- automatic update by autodist

* Mon Jul 07 2014 Automatic Build System <autodist@mambasoft.it> 1.6.5-1mamba
- automatic update by autodist

* Sat Mar 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.6.4-1mamba
- update to 1.6.4

* Sun Dec 22 2013 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Mon Aug 19 2013 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Sat May 04 2013 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Sun Feb 10 2013 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Mon Sep 03 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.0-1mamba
- update to 1.5.0

* Wed Nov 30 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.1-1mamba
- update to 1.4.1

* Thu Dec 09 2010 gil <puntogil@libero.it> 1.2.0-1mamba
- package created by autospec
